Update Brand

Updates a brand.

To update a brand image, send a request with an image_url.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

brand_idstringRequired

Request

Common Brand properties.
namestringRequired1-255 characters
The name of the brand. Must be unique. Required in POST.
page_titlestringOptional0-255 characters
The title shown in the browser while viewing the brand.
meta_keywordslist of stringsOptional
An array of meta keywords to include in the HTML.
meta_descriptionstringOptional0-65535 characters
A meta description to include.
search_keywordsstringOptional0-65535 characters

A comma-separated list of keywords that can be used to locate this brand.

image_urlstringOptional

Image URL used for this category on the storefront. Images can be uploaded via form file post to /brands/{brandId}/image, or by providing a publicly accessible URL in this field.

custom_urlobjectOptional
The custom URL for the brand on the storefront.

Response

dataobject
Common Brand properties.
metaobject
Response metadata.

Errors

403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error